<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Create User Information
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <div class="col-lg-4">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="name" ref="name">
                        <label>Name:</label>
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter user name" v-model="baseInfo.name">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter user name</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-4">
                    <ValidationProvider rules="required|email" v-slot="{ errors }" name="email" ref="email">
                        <label>Email:</label>
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter user email" v-model="baseInfo.email">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter user email</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-4">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="role" ref="role_id">
                        <label class="">Role:</label>
                        <select-component v-model="baseInfo.role_id" :styles="{ 'is-invalid': errors.length > 0, 'form-control m-input': true }" :data="selectRolesList"></select-component>
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please select user role</span>
                    </ValidationProvider>
                </div>
            </div>
        </div>
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <div class="col-lg-4">
                    <ValidationProvider rules="required" v-slot="{ errors }" name="phone number" ref="phone_number">
                        <label>Phone Number:</label>
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="e.g. +381..." v-model="baseInfo.phone_number">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter user phone number</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-4">
                    <ValidationProvider rules="" v-slot="{ errors }" name="date of birth" ref="dob">
                        <label>Date Of Birth:</label>
                        <datepicker-component v-model="baseInfo.dob" :styles="{ 'is-invalid': errors.length > 0, 'form-control m-input': true }"></datepicker-component>

                        <!--Beacuse of component override style-->
                        <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please select user dob</span>
                    </ValidationProvider>
                </div>
                <div class="col-lg-4">
                    <ValidationProvider rules="" v-slot="{ errors }" name="company name" ref="company_name">
                        <label>Company Name:</label>
                        <input type="text" class="form-control m-input" :class="{ 'is-invalid': errors.length > 0 }" placeholder="Enter user company name" v-model="baseInfo.company_name">
                        <div v-if="errors.length > 0" class="invalid-feedback">
                            {{ errors[0] }}
                        </div>
                        <span v-else class="m-form__help">Please enter user company name</span>
                    </ValidationProvider>
                </div>
            </div>
        </div>
    </form>
</div>